| pktools 2.6.7 Processing Kernel for geospatial data

pkcreatect

program to create and import colour table to GTiff image

## SYNOPSIS

`Usage: pkcreatect -i input.txt -o output [-ct colortable | -min value -max value]`

``

`Options: [–grey] [-of GDALformat] [-co option]* [-d description]`

`Advanced options: [–legend filename [–dim cols –dim rows]]`

# Description

Utility to include a color table to a raster dataset. You can either define an existing color table (ASCII text file) with the option -ct or define a minimum (-min) and maximum (-max) value.

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | Input image file
  o | output | std::string |  | Output image file
  l | legend | std::string |  | Create legend as png file
  dim | dim | short | 100 | number of columns and rows in legend.
  min | min | double | 0 | minimum value
  max | max | double | 100 | maximum value
  g | grey | bool | false | grey scale
  ct | ct | std::string |  | color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)
  d | description | std::string |  | Set image description
  of | oformat | std::string | GTiff | Output image format (see also gdal_translate).
  co | co | std::string |  | Creation option for output file. Multiple options can be specified.

Usage: pkcreatect -i input.txt -o output [-ct colortable | -min value -max value]

# Examples

Some examples how to use pkcreatect can be found here